#ifndef _STREAM_GPS_H
#define _STREAM_GPS_H

#include <iostream>
#include <vector>
#include <stdint.h>
#include "gps_types.h"

std::ostream& operator<< (std::ostream& out, TMeasEpoch &meas_epoch);
std::ostream& operator<< (std::ostream& out, TMeasExtra &meas_extra);
std::ostream& operator<< (std::ostream& out, TGPSNav &gps_nav);
std::ostream& operator<< (std::ostream& out, TGPSAlm &gps_alm);
std::ostream& operator<< (std::ostream& out, TGPSIon &gps_ion);
std::ostream& operator<< (std::ostream& out, TGPSUtc &gps_utc);
std::ostream& operator<< (std::ostream& out, TGPSFrame &gps_frame);
std::ostream& operator<< (std::ostream& out, TPVTCartesian &pvt_cartesian);
std::ostream& operator<< (std::ostream& out, TPVTGeodetic &pvt_geodetic);
std::ostream& operator<< (std::ostream& out, TPVTCov &pvt_cov);
std::ostream& operator<< (std::ostream& out, TPVTDOP &pvt_dop);

#endif
